Subject: Re: [bug#43340] [PATCH 0/5] Speed up archive export/import

From: Ludovic Courtès <[email-masked]>
Date: Mon, 14 Sep 2020 15:47:24 +0200

Hello!

I went ahead and pushed this series as
7d516c17da50dfc8ce635a21c37533d1fe27b43b.

Changes compared to what I posted:

  • Use ‘make_shared’ and ‘isdigit’ (I’d never get a C++ developer
    position…).

  • Add an enum for reply codes in ‘guix authenticate’.

  • Fix a thinko in the last patch of the series: ensure ‘loop’ is
    called even when an exception is caught.

To people who use offloading: please give it a try by running the daemon
from a recent checkout with:

  sudo -E ./pre-inst-env  guix-daemon --build-users-group=guixbuild

Thanks,
Ludo’.